=== debian/control ===
# DO NOT EDIT THIS FILE. EDIT debian/control.* instead!
Source: golang
Section: devel
Priority: optional
Maintainer: Go Compiler Team <pkg-golang-devel@lists.alioth.debian.org>
Uploaders: Michael Stapelberg <stapelberg@debian.org>,
           Paul Tagliamonte <paultag@debian.org>,
           Tianon Gravi <admwiggin@gmail.com>
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-golang/golang.git
Vcs-Git: git://anonscm.debian.org/pkg-golang/golang.git
Build-Depends: debhelper (>= 7.4.10), bison, ed, mawk | awk, perl, netbase
Build-Depends-Indep: po-debconf
Standards-Version: 3.9.6
Homepage: http://golang.org/

Package: golang-go
Architecture: i386 amd64 armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
	 golang-src (>= ${source:Version}),
	 golang-go-linux-${go:Hostarch} (= ${source:Version})
Replaces: golang-weekly-go, golang-weekly-tools, golang-tools
Conflicts: golang-weekly-go, golang-weekly-tools, golang-tools
Provides: go-compiler, golang-weekly-go, golang-weekly-tools, golang-tools
Suggests: bzr, git, golang-go.tools, mercurial, subversion
Description: Go programming language compiler
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient. Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection. It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 This package provides an assembler, a compiler, and a linker for the
 Go programming language. This is Google's implementation of the Go
 tool chain.

Package: golang-src
Replaces: golang-weekly-src, golang-go (<< 2:1-3~)
Conflicts: golang-weekly-src
Provides: golang-weekly-src
Breaks: golang-go (<< 2:1-3~)
Architecture: i386 amd64 armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Go programming language compiler - source files
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient. Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection. It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 This package provides the Go programming language source files needed
 for godoc and goinstall.

Package: golang-doc
Replaces: golang-weekly-doc
Conflicts: golang-weekly-doc
Provides: golang-weekly-doc
Depends: ${misc:Depends}, golang-go
Architecture: all
Section: doc
Description: Go programming language compiler - documentation
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient. Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection. It's a fast,
 statically typed, compiled language that feels like a dynamically
 typed, interpreted language.
 .
 This package provides the documentation for the Go programming
 language. You can view the formatted documentation by running "godoc
 --http=:6060", and then visiting http://localhost:6060/doc/install.html.

Package: golang
Replaces: golang-weekly
Conflicts: golang-weekly
Provides: golang-weekly
Depends: ${misc:Depends},
	 golang-go (>= ${source:Version}),
	 golang-src (>= ${source:Version}),
	 golang-doc (>= ${source:Version})
Architecture: all
Description: Go programming language compiler - metapackage
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient. Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection. It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 This package is a metapackage that, when installed, guarantees
 that (most of) a full Go development environment is installed.

Package: golang-go-linux-amd64
Architecture: i386 amd64 armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Breaks: golang-go (<< 2:1.1-2)
Replaces: golang-go (<< 2:1.1-2)
Description: Go standard library compiled for linux_amd64
 This package contains the Go standard library,
 compiled for linux_amd64.
 .
 This package is just one of a number of packages, each providing the Go
 standard library for a specific operating system/architecture combination.
 Go supports cross-compilation, so each of these packages is useful on any
 architecture.
 .
 The files contained in this package are independent of the host architecture,
 that is, you can use golang-go-linux-amd64 to generate a binary for
 linux_amd64, even though you are executing the Go compiler on linux_386.

Package: golang-go-linux-arm
Architecture: i386 amd64 armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Breaks: golang-go (<< 2:1.1-2)
Replaces: golang-go (<< 2:1.1-2)
Description: Go standard library compiled for linux_arm
 This package contains the Go standard library,
 compiled for linux_arm.
 .
 This package is just one of a number of packages, each providing the Go
 standard library for a specific operating system/architecture combination.
 Go supports cross-compilation, so each of these packages is useful on any
 architecture.
 .
 The files contained in this package are independent of the host architecture,
 that is, you can use golang-go-linux-amd64 to generate a binary for
 linux_amd64, even though you are executing the Go compiler on linux_386.

Package: golang-go-linux-386
Architecture: i386 amd64 armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Breaks: golang-go (<< 2:1.1-2)
Replaces: golang-go (<< 2:1.1-2)
Description: Go standard library compiled for linux_386
 This package contains the Go standard library,
 compiled for linux_386.
 .
 This package is just one of a number of packages, each providing the Go
 standard library for a specific operating system/architecture combination.
 Go supports cross-compilation, so each of these packages is useful on any
 architecture.
 .
 The files contained in this package are independent of the host architecture,
 that is, you can use golang-go-linux-amd64 to generate a binary for
 linux_amd64, even though you are executing the Go compiler on linux_386.

Package: golang-go-freebsd-amd64
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Breaks: golang-go (<< 2:1.1-2)
Replaces: golang-go (<< 2:1.1-2)
Description: Go standard library compiled for freebsd_amd64
 This package contains the Go standard library,
 compiled for freebsd_amd64.
 .
 This package is just one of a number of packages, each providing the Go
 standard library for a specific operating system/architecture combination.
 Go supports cross-compilation, so each of these packages is useful on any
 architecture.
 .
 The files contained in this package are independent of the host architecture,
 that is, you can use golang-go-linux-amd64 to generate a binary for
 linux_amd64, even though you are executing the Go compiler on linux_386.

Package: golang-go-freebsd-arm
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Breaks: golang-go (<< 2:1.1-2)
Replaces: golang-go (<< 2:1.1-2)
Description: Go standard library compiled for freebsd_arm
 This package contains the Go standard library,
 compiled for freebsd_arm.
 .
 This package is just one of a number of packages, each providing the Go
 standard library for a specific operating system/architecture combination.
 Go supports cross-compilation, so each of these packages is useful on any
 architecture.
 .
 The files contained in this package are independent of the host architecture,
 that is, you can use golang-go-linux-amd64 to generate a binary for
 linux_amd64, even though you are executing the Go compiler on linux_386.

Package: golang-go-freebsd-386
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Breaks: golang-go (<< 2:1.1-2)
Replaces: golang-go (<< 2:1.1-2)
Description: Go standard library compiled for freebsd_386
 This package contains the Go standard library,
 compiled for freebsd_386.
 .
 This package is just one of a number of packages, each providing the Go
 standard library for a specific operating system/architecture combination.
 Go supports cross-compilation, so each of these packages is useful on any
 architecture.
 .
 The files contained in this package are independent of the host architecture,
 that is, you can use golang-go-linux-amd64 to generate a binary for
 linux_amd64, even though you are executing the Go compiler on linux_386.

Package: golang-go-windows-amd64
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Breaks: golang-go (<< 2:1.1-2)
Replaces: golang-go (<< 2:1.1-2)
Description: Go standard library compiled for windows_amd64
 This package contains the Go standard library,
 compiled for windows_amd64.
 .
 This package is just one of a number of packages, each providing the Go
 standard library for a specific operating system/architecture combination.
 Go supports cross-compilation, so each of these packages is useful on any
 architecture.
 .
 The files contained in this package are independent of the host architecture,
 that is, you can use golang-go-linux-amd64 to generate a binary for
 linux_amd64, even though you are executing the Go compiler on linux_386.

Package: golang-go-windows-386
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Breaks: golang-go (<< 2:1.1-2)
Replaces: golang-go (<< 2:1.1-2)
Description: Go standard library compiled for windows_386
 This package contains the Go standard library,
 compiled for windows_386.
 .
 This package is just one of a number of packages, each providing the Go
 standard library for a specific operating system/architecture combination.
 Go supports cross-compilation, so each of these packages is useful on any
 architecture.
 .
 The files contained in this package are independent of the host architecture,
 that is, you can use golang-go-linux-amd64 to generate a binary for
 linux_amd64, even though you are executing the Go compiler on linux_386.

Package: golang-go-darwin-amd64
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Breaks: golang-go (<< 2:1.1-2)
Replaces: golang-go (<< 2:1.1-2)
Description: Go standard library compiled for darwin_amd64
 This package contains the Go standard library,
 compiled for darwin_amd64.
 .
 This package is just one of a number of packages, each providing the Go
 standard library for a specific operating system/architecture combination.
 Go supports cross-compilation, so each of these packages is useful on any
 architecture.
 .
 The files contained in this package are independent of the host architecture,
 that is, you can use golang-go-linux-amd64 to generate a binary for
 linux_amd64, even though you are executing the Go compiler on linux_386.

Package: golang-go-darwin-386
Architecture: all
