=== debian/control ===
--- 
+++ 
@@ -5,23 +5,22 @@
 Maintainer: Go Compiler Team <pkg-golang-devel@lists.alioth.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>,
            Paul Tagliamonte <paultag@debian.org>,
-           Tianon Gravi <admwiggin@gmail.com>
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-golang/golang.git
+           Tianon Gravi <tianon@debian.org>
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-golang/golang.git
 Vcs-Git: git://anonscm.debian.org/pkg-golang/golang.git
-Build-Depends: debhelper (>= 7.4.10), bison, ed, mawk | awk, perl, netbase
-Build-Depends-Indep: po-debconf
+Build-Depends: bison, debhelper (>= 8.9.7), ed, mawk | awk, netbase, perl
 Standards-Version: 3.9.6
-Homepage: http://golang.org/
+Homepage: https://golang.org
 
 Package: golang-go
-Architecture: i386 amd64 armel armhf
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
-	 golang-src (>= ${source:Version}),
-	 golang-go-linux-${go:Hostarch} (= ${source:Version})
-Replaces: golang-weekly-go, golang-weekly-tools, golang-tools
-Conflicts: golang-weekly-go, golang-weekly-tools, golang-tools
-Provides: go-compiler, golang-weekly-go, golang-weekly-tools, golang-tools
-Suggests: bzr, git, golang-go.tools, mercurial, subversion
+Architecture: amd64 armel armhf i386
+Depends: golang-go-linux-${go:Hostarch} (= ${source:Version}),
+         golang-src (>= ${source:Version}),
+         ${misc:Depends},
+         ${perl:Depends},
+         ${shlibs:Depends}
+Recommends: g++, gcc, libc6-dev, pkg-config
+Suggests: bzr, ca-certificates, git, golang-golang-x-tools, mercurial, subversion
 Description: Go programming language compiler
  The Go programming language is an open source project to make
  programmers more productive. Go is expressive, concise, clean, and
@@ -38,12 +37,8 @@
  tool chain.
 
 Package: golang-src
-Replaces: golang-weekly-src, golang-go (<< 2:1-3~)
-Conflicts: golang-weekly-src
-Provides: golang-weekly-src
-Breaks: golang-go (<< 2:1-3~)
-Architecture: i386 amd64 armel armhf
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: amd64 armel armhf i386
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Go programming language compiler - source files
  The Go programming language is an open source project to make
  programmers more productive. Go is expressive, concise, clean, and
@@ -59,10 +54,7 @@
  for godoc and goinstall.
 
 Package: golang-doc
-Replaces: golang-weekly-doc
-Conflicts: golang-weekly-doc
-Provides: golang-weekly-doc
-Depends: ${misc:Depends}, golang-go
+Depends: golang-go, ${misc:Depends}
 Architecture: all
 Section: doc
 Description: Go programming language compiler - documentation
@@ -81,13 +73,10 @@
  --http=:6060", and then visiting http://localhost:6060/doc/install.html.
 
 Package: golang
-Replaces: golang-weekly
-Conflicts: golang-weekly
-Provides: golang-weekly
-Depends: ${misc:Depends},
-	 golang-go (>= ${source:Version}),
-	 golang-src (>= ${source:Version}),
-	 golang-doc (>= ${source:Version})
+Depends: golang-doc (>= ${source:Version}),
+         golang-go (>= ${source:Version}),
+         golang-src (>= ${source:Version}),
+         ${misc:Depends}
 Architecture: all
 Description: Go programming language compiler - metapackage
  The Go programming language is an open source project to make
@@ -104,10 +93,8 @@
  that (most of) a full Go development environment is installed.
 
 Package: golang-go-linux-amd64
-Architecture: i386 amd64 armel armhf
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1-2)
-Replaces: golang-go (<< 2:1.1-2)
+Architecture: amd64 armel armhf i386
+Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Description: Go standard library compiled for linux_amd64
  This package contains the Go standard library,
  compiled for linux_amd64.
@@ -122,10 +109,8 @@
  linux_amd64, even though you are executing the Go compiler on linux_386.
 
 Package: golang-go-linux-arm
-Architecture: i386 amd64 armel armhf
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1-2)
-Replaces: golang-go (<< 2:1.1-2)
+Architecture: amd64 armel armhf i386
+Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Description: Go standard library compiled for linux_arm
  This package contains the Go standard library,
  compiled for linux_arm.
@@ -140,10 +125,8 @@
  linux_amd64, even though you are executing the Go compiler on linux_386.
 
 Package: golang-go-linux-386
-Architecture: i386 amd64 armel armhf
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1-2)
-Replaces: golang-go (<< 2:1.1-2)
+Architecture: amd64 armel armhf i386
+Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Description: Go standard library compiled for linux_386
  This package contains the Go standard library,
  compiled for linux_386.
@@ -159,9 +142,7 @@
 
 Package: golang-go-freebsd-amd64
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1-2)
-Replaces: golang-go (<< 2:1.1-2)
+Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Description: Go standard library compiled for freebsd_amd64
  This package contains the Go standard library,
  compiled for freebsd_amd64.
@@ -177,9 +158,7 @@
 
 Package: golang-go-freebsd-arm
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1-2)
-Replaces: golang-go (<< 2:1.1-2)
+Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Description: Go standard library compiled for freebsd_arm
  This package contains the Go standard library,
  compiled for freebsd_arm.
@@ -195,9 +174,7 @@
 
 Package: golang-go-freebsd-386
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1-2)
-Replaces: golang-go (<< 2:1.1-2)
+Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Description: Go standard library compiled for freebsd_386
  This package contains the Go standard library,
  compiled for freebsd_386.
@@ -213,9 +190,7 @@
 
 Package: golang-go-windows-amd64
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1-2)
-Replaces: golang-go (<< 2:1.1-2)
+Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Description: Go standard library compiled for windows_amd64
  This package contains the Go standard library,
  compiled for windows_amd64.
@@ -231,9 +206,7 @@
 
 Package: golang-go-windows-386
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1-2)
-Replaces: golang-go (<< 2:1.1-2)
+Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Description: Go standard library compiled for windows_386
  This package contains the Go standard library,
  compiled for windows_386.
@@ -249,9 +222,7 @@
 
 Package: golang-go-darwin-amd64
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: golang-go (<< 2:1.1-2)
-Replaces: golang-go (<< 2:1.1-2)
+Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Description: Go standard library compiled for darwin_amd64
  This package contains the Go standard library,
  compiled for darwin_amd64.
@@ -267,3 +238,25 @@
 
 Package: golang-go-darwin-386
 Architecture: all
+Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
+Description: Go standard library compiled for darwin_386
+ This package contains the Go standard library,
+ compiled for darwin_386.
+ .
+ This package is just one of a number of packages, each providing the Go
+ standard library for a specific operating system/architecture combination.
+ Go supports cross-compilation, so each of these packages is useful on any
+ architecture.
+ .
+ The files contained in this package are independent of the host architecture,
+ that is, you can use golang-go-linux-amd64 to generate a binary for
+ linux_amd64, even though you are executing the Go compiler on linux_386.
+
+Package: golang-go-netbsd-amd64
+Architecture: all
+Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
+Description: Go standard library compiled for netbsd_amd64
+ This package contains the Go standard library,
+ compiled for netbsd_amd64.
+ .
+ This package is just one of a number of packages, each providing the Go
